Blockly.Blocks["f_avanza"] = {
init: function() {
this.appendDummyInput()
   .appendField("Dar un paso");
this.setPreviousStatement(true, null);
this.setNextStatement(true, null);
this.setColour(230);
this.setTooltip("");
this.setHelpUrl("");
}};
Blockly.Blocks["f_xira"] = {
init: function() {
this.appendDummyInput()
   .appendField("Xirar á")
   .appendField(new Blockly.FieldDropdown([["Esquerda","E"], ["Dereita","D"]]), "direccion");
this.setPreviousStatement(true, null);
this.setNextStatement(true, null);
this.setColour(230);
this.setTooltip("");
this.setHelpUrl("");
}};
Blockly.Blocks["f_hai_cElse"] = {init: function() {var DIRECTIONS =[["fronte","FR"],["esquerda","ES"],["dereita","DE"]];
this.setColour(210);
this.appendDummyInput().appendField("se hai camiño á").appendField(new Blockly.FieldDropdown(DIRECTIONS),"DIR");
this.appendStatementInput("DO").appendField("facer");
this.appendStatementInput("ELSE").appendField("se non");this.setTooltip("");
this.setPreviousStatement(true);this.setNextStatement(true);}};
Blockly.Blocks["f_mentres"] = {init: function() {this.setColour(120);this.appendDummyInput().appendField("ata atopar")
.appendField(new Blockly.FieldImage("ima/fin.jpg", 12, 12));
this.appendStatementInput("DO").appendField("facer");this.setPreviousStatement(true);this.setTooltip("");}};
